Package com.avaya.clientservices.collaboration

## Class RenderingBlock

- java.lang.Object
- - com.avaya.clientservices.collaboration.RenderingBlock

-     public class RenderingBlock
      extends java.lang.Object

  RenderingBlock object which represents one block of given size received from collaboration server.

  One sharing frame is built with many blocks depending on frame. Each block contains ARGB data.

  Objects of this class usually aren't used explicitly by client unless a custom sharing canvas is developed. Particular position related properties can be used by proper drawing data in context.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenderingBlock​(int x, int y, int width, int height, java.nio.ByteBuffer byteBuffer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.nio.ByteBuffer` | `getByteBuffer()` | Returns bytes representation of content sharing part image object.
    `int` | `getHeight()` | Returns height of content sharing part image object.
    `int` | `getWidth()` | Returns width of content sharing part image object.
    `int` | `getX()` | Returns x coordinate of block in sharing frame.
    `int` | `getY()` | Returns y coordinate of block in sharing frame.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderingBlock

          public RenderingBlock​(int x,
                                int y,
                                int width,
                                int height,
                                java.nio.ByteBuffer byteBuffer)

  - ### Method Detail

    - #### getX

          public int getX()

      Returns x coordinate of block in sharing frame.
      Returns:
        x coordinate.

    - #### getY

          public int getY()

      Returns y coordinate of block in sharing frame.
      Returns:
        y coordinate.

    - #### getWidth

          public int getWidth()

      Returns width of content sharing part image object.
      Returns:
        width.

    - #### getHeight

          public int getHeight()

      Returns height of content sharing part image object.
      Returns:
        height..

    - #### getByteBuffer

          public java.nio.ByteBuffer getByteBuffer()

      Returns bytes representation of content sharing part image object.
      Returns:
        bytes buffer.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`